Bug 812400 - [as7] JAVA_OPTS and EAP server command line arguments
[as7] JAVA_OPTS and EAP server command line arguments
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
3.0.0
All All
high Severity high (vote)
: ---
: RHQ 4.4.0
Assigned To: Charles Crouch
Mike Foley
:
Depends On:
Blocks: as7-plugin jon310-sprint11/rhq44-sprint11
  Show dependency treegraph
 
Reported: 2012-04-13 11:38 EDT by Ian Springer
Modified: 2015-02-01 18:27 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 772223
Environment:
Last Closed: 2013-09-01 06:11:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Springer 2012-04-13 11:38:34 EDT
+++ This bug was initially created as a clone of Bug #772223 +++

Description of problem:
No ability to specify JAVA_OPTS or EAP server command line arguments within JON v3.0 Inventory Connection settings.

Version-Release number of selected component (if applicable):
v3.0

How reproducible:
Start an EAP server with command line arguments.e.g.-Djboss.service.binding.set=ports-01.
Inventory the EAP server into JON
Shutdown the EAP server via JON Operations
Start the EAP server vi JON Operations

Steps to Reproduce:
1.Start a EAP server with command line arguments
2.Inventory the EAP server into JON
3. Shutdown the EAP server
4. Start the EAP server
  
Actual results:
Server will start using the default port bindings

Expected results:
Specify all command line arguments for the EAP server to successfully start.

Additional info:
At a minimum, adding two properties to the "Operations Group" of an EAP server "Connections Settings" for specifying "JAVA_OPTS" and server command line arguments.
Also, inventorying of JAVA_OPTS and/or command line arguments when inventorying an EAP server would be highly desirable as this would eliminate the need to manually specifying these properties after inventorying an EAP server.

--- Additional comment from mfoley@redhat.com on 2012-02-27 12:04:54 EST ---

triage asnatos, mfoley, crouch, loleary ...JON 3.1

--- Additional comment from ccrouch@redhat.com on 2012-03-06 09:01:48 EST ---

Taking this out of the sprint so we can split it up into separate requirements
Comment 1 Ian Springer 2012-04-13 11:46:15 EDT
We should pretty much follow the same strategy for the as7 plugin as Jay is taking for the as5 plugin:

* three plugin config props: 
  - startScript - the path to the start script itself (default is ${jbossHomeDir}/bin/standalone|domain.sh)
  - startScriptArgs - the args that were passed to standalone.sh or domain.sh (discovery can obtain this by grabbing the command line args of the AS7 java proc's parent process, which should be standalone.sh or domain.sh)
  - startScriptEnv - the (relevant) environment variables of standalone.sh or domain.sh (discovery can obtain this by grabbing the environment of the AS7 java proc's parent process, which should be standalone.sh or domain.sh)

startScriptArgs would be a longString simple.

startScriptenv could either be a longString simple, an open map, or a list-o-maps. longString simple may actually be the easiest for GUI users.
Comment 2 Ian Springer 2012-04-16 12:58:12 EDT
Done in master:

http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commitdiff;h=6bfead2
Comment 3 Ian Springer 2012-04-16 17:37:42 EDT
master http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commitdiff;h=1fbc479 fixes a few bugs and adds support for extrapolating plugin config prop values into the start script args (%foo% will be replaced with the value of the plugin config prop named "foo").
Comment 6 Heiko W. Rupp 2013-09-01 06:11:57 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.